Darklands Medieval Texture Pack 1.5.2 Preview

http://www.img3.9minecraft.net/TexturePack/Darklands-medieval-texture-pack.jpg

http://www.img3.9minecraft.net/TexturePack/Darklands-medieval-texture-pack-1.jpg

http://www.img3.9minecraft.net/TexturePack/Darklands-medieval-texture-pack-2.jpg

http://www.img3.9minecraft.net/TexturePack/Darklands-medieval-texture-pack-3.jpg

http://www.img3.9minecraft.net/TexturePack/Darklands-medieval-texture-pack-4.jpg

How to Install Darklands Medieval Texture Pack for Minecraft

In order to use HD texture packs properly (32× and higher) you will need to either patch your Minecraft using MCPatcher or using Optifine. Optifine is preferred as it includes all of the features of MCPatcher, and greatly increases game speeds and graphics settings. MCPatcher tends to be updated on the same day as Minecraft updates, so use it instead if you are in a hurry.

http://img.9minecraft.net/download.png

http://www.mediafire.com/download/qpe63tex4etkspc/Darklands-1.5.zip

https://mega.co.nz/#!nE1AmJTB!fI63XmyUb_aGy3y7ITAmZjUUON9Hu-eH-h-nnFUK-xc


Credits: kyctarniq